Ticket #383 (closed enhancement: fixed)

Opened 6 years ago

Last modified 6 years ago

[Presonus Firestudio mobile] stereo support for headphone

Reported by: pandamasta Assigned to: la-page-web-of-phil
Priority: major Milestone:
Component: generic Version: FFADO SVN (trunk)
Keywords: firestudio mobile Cc:
The device the bug applies to:

Description

This sound card seems not support the stereo headphone output.

I have tried to balance the sound on the left and right in Ardour, without success. I can get just a mono output.

Tested with build: jackd 1.9.11 (SVN) libffado 2.2.9999-2575 (SVN)

Attachments

jackdfirewire.txt (6.1 kB) - added by pandamasta on 12/14/14 11:14:48.
log of jackd -d firewire
ffadodiag.txt (7.9 kB) - added by pandamasta on 12/14/14 11:18:41.
ffado-diag
firestudio-mobile_test-dice-eap.log (45.8 kB) - added by pandamasta on 12/15/14 09:53:48.
test-dice-eap -c 1 --port=fw1
ffado-dbus-server.txt (18.4 kB) - added by pandamasta on 12/16/14 14:39:03.
ffado-dbus.txt
qjackctl-firestudiomobile.png (42.9 kB) - added by pandamasta on 12/18/14 13:26:31.
connections qjackctl

Change History

12/14/14 11:14:48 changed by pandamasta

  • attachment jackdfirewire.txt added.

log of jackd -d firewire

12/14/14 11:18:41 changed by pandamasta

  • attachment ffadodiag.txt added.

ffado-diag

12/15/14 02:47:37 changed by jwoithe

I believe this is a DICE-based interface. Of the currently active developers Phil would probably be the most qualified to take a look at this. However, most of his experience is with the Saffire devices and I'm not sure how much this carries across to interfaces from other manufacturers. If he feels he is in a position to assist I'm sure he'll speak up.

12/15/14 05:35:45 changed by la-page-web-of-phil

  • owner set to la-page-web-of-phil.
  • status changed from new to assigned.

refering to the Presonus doc, Firestudio Mobile is essentially the small brother of Project and Tube. Is it also using the Dice mini and supports EAP ? In which case headphone outputs are subjected to internal routing. Aurélien, I pursue the contact on the user list; we will come back here when we will have more info.

12/15/14 09:53:48 changed by pandamasta

  • attachment firestudio-mobile_test-dice-eap.log added.

test-dice-eap -c 1 --port=fw1

12/16/14 14:39:03 changed by pandamasta

  • attachment ffado-dbus-server.txt added.

ffado-dbus.txt

12/18/14 13:26:31 changed by pandamasta

  • attachment qjackctl-firestudiomobile.png added.

connections qjackctl

12/22/14 05:46:25 changed by la-page-web-of-phil

  • status changed from assigned to closed.
  • resolution set to fixed.

Solved by enabling EAP router/mixer for this device as revision 2578 and 2579 of the svn trunk.